﻿# coding=utf-8

#	Copyright (C) 2010 Kontaxis Panagiotis

#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.

#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.

#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.


from mx import DateTime
from osv import fields, osv


class patient_ped_hospital (osv.osv):
	_name = "hospital.patient"
	_inherit = "hospital.patient"
	_columns = {
		'blood_import_ids' : fields.one2many('hospital_blood.import','patient_id','Blood Donations'),
		'blood_export_ids' : fields.one2many('hospital_blood.export','patient_id','Blood Exports'),
	}
patient_ped_hospital ()


class blood_import (osv.osv):
	_order = 'import_date asc'
	_name = "hospital_blood.import"
	_columns = {
		'patient_id' : fields.many2one('hospital.patient','Patient'),
		'import_date' : fields.date('Blood Donation Date'),
		'hospital_id' : fields.many2one( 'res.partner', 'Hospital', domain=[('is_institution', '=', "1")]),
		}
blood_import ()

class blood_export (osv.osv):
	_order = 'export_date asc'
	_name = "hospital_blood.export"
	_columns = {
		'patient_id' : fields.many2one('hospital.patient','Patient'),
		'export_date' : fields.date('Blood Export Date'),
		'quantity' : fields.integer('Quantity'),
		'hospital_id' : fields.many2one( 'res.partner', 'Hospital', domain=[('is_institution', '=', "1")]),
		'receiver' : fields.char('Blood Receiver Person',size=128)
		}
blood_export ()
